Package org.apache.commons.math3.ode

# Class UnknownParameterException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
java.lang.IllegalArgumentException
org.apache.commons.math3.exception.MathIllegalArgumentException
org.apache.commons.math3.ode.UnknownParameterException

All Implemented Interfaces:
  `Serializable`, `ExceptionContextProvider`

public class UnknownParameterException extends MathIllegalArgumentException
Exception to be thrown when a parameter is unknown.

Since:
  3.1
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`UnknownParameterException(String name)`
Construct an exception from the unknown parameter.

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`

### Methods inherited from class org.apache.commons.math3.exception.MathIllegalArgumentException

`getContext, getLocalizedMessage, getMessage`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### UnknownParameterException

public UnknownParameterException(String name)
Construct an exception from the unknown parameter.

Parameters:
  `name` - parameter name.

## Method Details

### getName

public String getName()

Returns:
  the name of the unknown parameter.